var LinkedList = require('./LinkedList');

var Queue = function Queue() {
	this._list = new LinkedList();
};

Queue.prototype =  {
	enqueue: function (data) {
		this._list.add(data);
	},
	dequeue: function () {
		return this._list.remove(0);
	},
	peek: function () {
		return this._list.get(0);
	},
	size: function () {
		return this._list.size();
	}
};

module.exports = Queue;